package org.takiguchi.cerberus.cerberusapp.model;

public class ReferentialDataDTO {
    private final String value;
    private final String label;

    private ReferentialDataDTO(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static Builder aReferentialData() {
        return new Builder();
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    public static class Builder {
        private String value;
        private String label;

        private Builder() {
        }

        public Builder withValue(String value) {
            this.value = value;
            return this;
        }

        public Builder withLabel(String label) {
            this.label = label;
            return this;
        }

        public ReferentialDataDTO build() {
            return new ReferentialDataDTO(value, label);
        }
    }
}
